## org.apache.xalan.transformer
Class Counter

    java.lang.Object
      org.apache.xalan.transformer.Counter

    public class Counter

extends java.lang.Object

A class that does incremental counting for support of xsl:number. This class stores a cache of counted nodes (m_countNodes). It tries to cache the counted nodes in document order... the node count is based on its position in the cache list

Usage:
  **For internal use only**

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2005 Apache XML Project. All Rights Reserved.